package com.lantone.security.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Description:数据权限过滤注解
 * @Author songxl
 * @Date 2021/8/25
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface DataAuthFilter {
    /**
     * 用户表的别名
     */
    String userAlias() default "";
    /**
     * 科室表的别名
     */
    String deptAlias() default "";
    /**
     * 组织表的别名
     */
    String hospitalAlias() default "";

}
